Skip to content

Change an open poll's title, notes, location, deadline or invited guests (organiser, owner or manager)

PATCH
/api/date-polls/{id}
id
required
string format: uuid
object
title
string
>= 1 characters <= 120 characters
notes
string
nullable <= 2000 characters
location
string
nullable <= 200 characters
deadline
string format: date-time
nullable
invitedGuestIds
Array<string>
<= 50 items

Success

object
ok
required
boolean
data
nullable

Bad request / invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden / not a band member

object
ok
required
boolean
error
required
string
code
string

Not found

object
ok
required
boolean
error
required
string
code
string

The poll is no longer open

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string